This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 06:02
Elapsed6m57s
Revision
Builder46fff72b-73de-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/4ffb5890-c43d-4b0c-8c50-ab95a888de79/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/4ffb5890-c43d-4b0c-8c50-ab95a888de79/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 06:02:41.044] process 29 exited with code 0 after 0.0m
I0401 06:02:41.044] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 06:02:41.044] Root: /workspace
I0401 06:02:41.044] cd to /workspace
I0401 06:02:41.045] Configure environment...
I0401 06:02:41.045] Call:  git show -s --format=format:%ct HEAD
W0401 06:02:41.050] fatal: not a git repository (or any of the parent directories): .git
I0401 06:02:41.050] process 42 exited with code 128 after 0.0m
W0401 06:02:41.051] Unable to print commit date for HEAD
I0401 06:02:41.051] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 06:02:41.722] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 06:02:42.800] process 43 exited with code 0 after 0.0m
I0401 06:02:42.801] Call:  gcloud config get-value account
I0401 06:02:43.944] process 56 exited with code 0 after 0.0m
I0401 06:02:43.945] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 06:02:43.945] Start 1245229926194352128 at ...
I0401 06:02:43.948] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_xlVgpl gs://kubernetes-jenkins/logs/metrics-kettle/1245229926194352128/started.json
I0401 06:02:47.680] process 69 exited with code 0 after 0.1m
I0401 06:02:47.680] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 06:02:47.713] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 06:09:22.744] ERROR: table k8s-gubernator:build.all is 23.1 hours old. Max allowed: 6 hours.
I0401 06:09:22.744] ERROR: table k8s-gubernator:build.week is 23.3 hours old. Max allowed: 6 hours.
I0401 06:09:22.744] ERROR: table k8s-gubernator:build.day is 22.8 hours old. Max allowed: 6 hours.
I0401 06:09:22.744] Collected data:
I0401 06:09:22.745] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 06:09:22.745] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 06:09:22.745] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 06:09:22.745] 
W0401 06:09:22.847] Traceback (most recent call last):
... skipping 22 lines ...
W0401 06:09:22.850]     self.send(msg)
W0401 06:09:22.850]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 06:09:22.850]     self.connect()
W0401 06:09:22.850]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 06:09:22.850]     conn = self._new_conn()
W0401 06:09:22.859]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 06:09:22.859]     self, "Failed to establish a new connection: %s" % e
W0401 06:09:22.860] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7efc0c961358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 06:09:22.860] 
W0401 06:09:22.860] During handling of the above exception, another exception occurred:
W0401 06:09:22.860] 
W0401 06:09:22.860] Traceback (most recent call last):
W0401 06:09:22.860]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 06:09:22.860]     timeout=timeout
W0401 06:09:22.861]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 06:09:22.861]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 06:09:22.861]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 06:09:22.861]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 06:09:22.862] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7efc0c961358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 06:09:22.862] 
W0401 06:09:22.862] During handling of the above exception, another exception occurred:
W0401 06:09:22.862] 
W0401 06:09:22.862] Traceback (most recent call last):
W0401 06:09:22.862]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 06:09:22.862]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 06:09:22.865]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 06:09:22.865]     resp = self.send(prep, **send_kwargs)
W0401 06:09:22.865]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 06:09:22.865]     r = adapter.send(request, **kwargs)
W0401 06:09:22.865]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 06:09:22.865]     raise ConnectionError(e, request=request)
W0401 06:09:22.866] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7efc0c961358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 06:09:22.876] Traceback (most recent call last):
W0401 06:09:22.877]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 06:09:22.877]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 06:09:22.877]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 06:09:22.877]     check(*cmd)
W0401 06:09:22.877]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 06:09:22.877]     subprocess.check_call(cmd)
W0401 06:09:22.887]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 06:09:22.888]     raise CalledProcessError(retcode, cmd)
W0401 06:09:22.888] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 06:09:22.888] Command failed
I0401 06:09:22.888] process 251 exited with code 1 after 6.6m
E0401 06:09:22.888] FAIL: metrics-kettle
I0401 06:09:22.889] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 06:09:23.628] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 06:09:24.443] process 255 exited with code 0 after 0.0m
I0401 06:09:24.443] Call:  gcloud config get-value account
I0401 06:09:25.716] process 267 exited with code 0 after 0.0m
I0401 06:09:25.717] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 06:09:25.717] Upload result and artifacts...
I0401 06:09:25.717] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245229926194352128
W0401 06:09:25.718] Missing local artifacts : /workspace/_artifacts
W0401 06:09:25.718] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 06:09:25.718] metadata not found or invalid, init with empty metadata
I0401 06:09:25.719] Call:  git rev-parse HEAD
W0401 06:09:25.728] fatal: not a git repository (or any of the parent directories): .git
E0401 06:09:25.729] Command failed
I0401 06:09:25.729] process 280 exited with code 128 after 0.0m
I0401 06:09:25.729] Call:  git rev-parse HEAD
I0401 06:09:25.739] process 281 exited with code 0 after 0.0m
I0401 06:09:25.739] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 06:09:28.389] process 282 exited with code 0 after 0.0m
I0401 06:09:28.391] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585717687443561'
... skipping 8 lines ...